<template>
    <fullscreen :fullscreen.sync="fullscreen" class="container">
        <div class="container-box">
            <toolList @iconCli='iconCli' :tooltit='tooltit'></toolList>
            <div class="search">
                <mySearch :searchList="searchList" @searchInfo="searchInfo"></mySearch>
				<el-button type="primary" @click="outexl">导出</el-button>
            </div>
            <div class="tabbox">
                <el-table height="calc(100% - 40px)" class="com-table" ref="multipleTable" :data="tableData"
                    tooltip-effect="dark" size="small" border style="width: 100%" v-loading="loading" >
				<!-- 	<el-table-column type="selection" width="55">
					</el-table-column> -->
                    <el-table-column prop="regionName" label="地市公司名称">
                    </el-table-column>
                    <el-table-column prop="areaName" label="区县名称">
                    </el-table-column>
					<el-table-column prop="fillName" label="员工姓名">
                    </el-table-column>
					<el-table-column prop="memberName" label="成员姓名">
                        <template slot-scope="scope">
                           {{$desensitization(scope.row.memberName,1)}}
                        </template>
                    </el-table-column>
					<el-table-column prop="memberRelation" label="成员关系">
					</el-table-column>
					<el-table-column prop="bornDate" label="成员出生日期">
                    </el-table-column>
                    <el-table-column prop="memberSex" label="成员性别">
                    </el-table-column>
					<el-table-column prop="idCard" label="成员身份证号">
                        <template slot-scope="scope">
                           {{$desensitization(scope.row.idCard,3)}}
                        </template>
                    </el-table-column>
					<el-table-column prop="memberEdu" label="成员学历">
                    </el-table-column>
					<el-table-column prop="partyGroup" label="成员政治面貌">
					</el-table-column>
					<el-table-column prop="memberNation" label="成员民族信息">
					</el-table-column>
					<el-table-column prop="workUnit" label="成员工作单位">
					</el-table-column>
					<el-table-column prop="workDuty" label="成员职位职务">
					</el-table-column>
					<el-table-column prop="emerContact" label="是否为紧急联系人">
					</el-table-column>
					<el-table-column prop="memberTel" label="成员联系电话">
                        <template slot-scope="scope">
                           {{$desensitization(scope.row.memberTel,2)}}
                        </template>
					</el-table-column>
					<el-table-column prop="interiorStaff" label="是否移动系统内工作">
					</el-table-column>
					<el-table-column prop="staffName" label="系统内员工">
					</el-table-column>
					<el-table-column prop="isMove" label="是否移居海外">
					</el-table-column>
					<el-table-column prop="immiType" label="移居类型">
					</el-table-column>
					<el-table-column prop="memberAddress" label="成员联系地址">
					</el-table-column>
                </el-table>
                <el-pagination class="pageBox" @current-change="currchange" layout="prev, pager, next" background
                    :total="total">
                </el-pagination>
            </div>
        </div>

    </fullscreen>

</template>
<script>
    import mySearch from "../../../components/search.vue";
    import myMessage from "../../../components/myMessage.vue"
    import toolList from '../../../components/toolList'

    export default {
        components: {
            mySearch,
            myMessage,
            toolList
        },
        data() {
            const supplierName = (rule, value, callback) => {
                if (!this.infolist.supplierName) {
                    callback(new Error('不能为空'))
                } else {
                    callback()
                }
            }
            return {
                rules: {
                    supplierName: [{
                        required: true,
                        trigger: 'blur',
                        validator: supplierName
                    }],
                },
                searchList: [
                    {
                        type: 'input',
                        tit: '供应商名称',
                        value: '',
                        width: '98%',
                    }
                ],
                tooltit:'进度跟踪',
                fullscreen: false,
                total: 0,
                pageSize: 1,
                tableData: [{}],
                dialogStatus: false,
                disableStatus: false,
                titname: '',
                infolist: {},
                userInfo: {},
                params: {},
                centerDialogVisible: false,
                messTit: '',
                delid: '',
                loading:false,
                loadinged:false,
            }
        },
        methods: {
            outexl(){
                let url = '/market/cMemberWo/excelExportDetailSummary';
                let paramsf = {areaName:this.$route.query.regionName};
                this.$http({
                    url: url,
                    method: "post",
                    responseType: 'blob',
                    headers: {
                        "Content-Type": "application/json",
                    },
                    data: paramsf,
                }).then((response) => {
                    if (window.navigator && window.navigator.msSaveOrOpenBlob) {
                        let blob = new Blob([response.data], {
                            type: response.data.type
                        });
                        window.navigator.msSaveOrOpenBlob(blob, 'adv.xlsx');
                    } else {
                        /* 火狐谷歌的文件下载方式 */
                        console.log(response.data.type)
                        var blob = new Blob([response.data])
                        var downloadElement = document.createElement('a')
                        var href = window.URL.createObjectURL(blob);
                        downloadElement.href = href;
                        downloadElement.download = 'adv.xlsx';
                        document.body.appendChild(downloadElement);
                        downloadElement.click();
                        document.body.removeChild(downloadElement);
                        window.URL.revokeObjectURL(href);
                    }
                });
            },
			handleSelectionChange(val) {
				console.log(val)
			},
			jumpjd(){
				this.$router.push({
					path: "/speedOfProgress",
				});
				this.setabList("进度跟踪", "/speedOfProgress");
			},
			setabList(n, p) {
				let params = {
					children: "",
					name: n,
					rountPath: p,
					target: "_self",
				};
				for (let i = 0; i < this.$store.state.tabList.length; i++) {
					if (this.$store.state.tabList[i].name === params.name) {
						this.$store.state.tabList[i] = params;
					}
				}
				let set = new Set([...this.$store.state.tabList, params]);
				set.add(params);
				this.$store.commit("setDefaultActive", params.rountPath);
				this.$store.commit("setTabList", Array.from(set));
			},
            closedia() {
                this.infolist = {};
                this.dialogStatus = false;
            },
            //搜索数据
            searchInfo(v) {
                this.params = {};
                v[0] ? this.params.fillName = v[0] : '';
                this.getList(this.params, this.pageSize);
            },
            //获取列表
            getList(v, n) {
                this.pageSize = n;
                let _this = this;
                this.loading = true;
                this.tableData = [];
                v.areaName = this.$route.query.regionName
                this.$http({
                    url: "/market/cMemberWo/queryMkMemberFillDetailSummaryPage",
                    method: "post",
                    headers: {
                        "Content-Type": "application/json",
                        "page": '{"pageNo":"' + n + '","pageSize":"10"}'
                    },
                    data: v,
                }).then((res) => {
                    this.tableData = res.data.data;
                    this.total = res.data.totalRecord;
                    this.loading = false;
                });
            },
            // 分页
            currchange(v) {
                this.pageSize = v;
                this.getList(this.params, this.pageSize);
            },
            //申请
            dialogCheck(v, n) {
                this.dialogStatus = true;
                this.infolist = Object.assign({}, n);
                if (v === 1) {
                    this.titname = '查看';
                    this.disableStatus = true;
                    return
                } else if (v === 2) {
                    this.titname = '修改';
                    this.disableStatus = false;
                } else if (v === 3) {
                    this.titname = '添加';
                    this.disableStatus = false;
                }
                this.infolist.opNo = this.userInfo.loginNo;
                this.infolist.opName = this.userInfo.loginName;
            },
            //添加
            dialogCli(v) {
                if (v === 1) {
                    this.infolist = {};
                    this.dialogStatus = false;
                    return
                } else {
                    this.infolist.opTime = this.$formatDate(new Date(), "YYYY-MM-DD");
                    this.infolist.endTime = this.$formatDate(this.infolist.endTime, "YYYY-MM-DD");
                    if (this.titname === '添加') {
                        this.submitInfo("/market/cAdvPubSupplier/add");
                    } else if (this.titname === '修改') {
                        this.submitInfo("/market/cAdvPubSupplier/update", v);
                    }
                }
            },
            submitInfo(u) {
                let _this = this;
                this.$refs.infolist.validate(valid => {
                    if (valid) {
                        this.loadinged = true;
                        this.$http({
                            url: u,
                            method: "post",
                            headers: {
                                "Content-Type": "application/json",
                            },
                            data: this.infolist,
                        }).then((res) => {
                            this.loadinged = false;
                            if (res.data.result === 1) {
                                _this.$message({
                                    message: res.data.desc,
                                    type: 'error'
                                });
                            } else {
                                _this.$message({
                                    message: '成功',
                                    type: 'success'
                                });
                                _this.infolist = {};
                                _this.dialogStatus = false;
                                _this.getList({}, _this.pageSize);
                            }

                        });
                    }
                })
            },
            closeMessage(v) {
                this.centerDialogVisible = false;
                let _this = this;
                if (v === 1) {
                    _this.$http({
                        url: "/market/cAdvPubSupplier/del",
                        method: "post",
                        headers: {
                            "Content-Type": "application/json",
                        },
                        data: {
                            id: this.delid
                        },
                    }).then((res) => {
                        if (res.data.result === 1) {
                            _this.$message({
                                message: res.data.desc,
                                type: 'error'
                            });
                        } else {
                            _this.$message({
                                message: '删除成功',
                                type: 'success'
                            });
                            _this.getList(this.params, this.pageSize);
                        }
                    });
                }
            },
            //删除
            delLine(v) {
                this.centerDialogVisible = true;
                this.messTit = '即将删除此条数据, 是否删除?';
                this.delid = v.id;
            },
            //文件返回值
            uploadBack(v) {
                console.log(v)
            },
            //功能栏
            iconCli(v) {
                if (v === 1) {
                    this.getList(this.params, this.pageSize);
                }
                if (v === 2) {
                    this.fullscreen = !this.fullscreen
                }
            },
            getUser() {
                this.userInfo = JSON.parse(window.sessionStorage.userInfo);

            }
        },
        mounted() {
            this.getList({}, 1);
            this.getUser();
        },
        created() {

        }
    }
</script>
<style scoped lang="scss">
    .onetab {
        margin-bottom: 20px;
        padding: 0 20px;
    }

    .titbox {
        div {
            float: right;

            i {
                font-size: 22px;
                margin-left: 20px;
                cursor: pointer;
            }
        }
    }

    .tabbox {
        margin-top: 15px;
    }

    .pageBox {
        text-align: right;
        margin-top: 10px;
    }

    .info-line {
        width: 100%;
        display: block;
        padding-left: 20px;

        div {
            width: 50%;
            display: inline-block;
        }

        span {
            width: 80px;
            display: inline-block;
            text-align: left;

            i {
                color: red;
                display: inline-block;
                padding-right: 5px;
            }
        }

        .el-select,
        .el-input {
            width: calc(100% - 100px);
        }
    }

    .online {
        width: 100%;

        .el-select {
            width: calc(100% - 100px);
        }

        span {
            vertical-align: top;
        }

        .el-textarea {
            width: calc(100% - 100px);
        }
    }
</style>
